it.csi.mddtools.guigen

## Interface TableCustomizationParam

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier, PDefParam

      public interface TableCustomizationParam
      extends PDefParam

  A representation of the model object 'Table Customization Param'. Definizione di parametro di PanelDef che permette di personalizzare una Table contenuta nel PanelDef. La personalizzazione consiste nella possibilità di:
  - aggiungere colonne extra in una posizione ben definita rispetto alle colonne preessitenti nella tabella base
  - nascondere una parte delle colonne presenti nella tabella base

  The following features are supported:

  - `Base Table`
  See Also:
    `GuigenPackage.getTableCustomizationParam()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `Table` | `getBaseTable()` Returns the value of the 'Base Table' reference
    `void` | `setBaseTable(Table value)` Sets the value of the '`Base Table`' reference

    - ### Methods inherited from interface it.csi.mddtools.guigen.PDefParam

      `getName, setName`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getBaseTable

          Table getBaseTable()

      Returns the value of the 'Base Table' reference. La Table su cui è possibile effettuare la personalizzazione.
      Returns:
        the value of the 'Base Table' reference.
      See Also:
        `setBaseTable(Table)`, `GuigenPackage.getTableCustomizationParam_BaseTable()`

    - #### setBaseTable

          void setBaseTable(Table value)

      Sets the value of the '`Base Table`' reference.
      Parameters:
        `value` - the new value of the 'Base Table' reference.
      See Also:
        `getBaseTable()`